Bug 491003 - CS 8.0 Alpha -- ESC phone home specification from preds files doesn't work
CS 8.0 Alpha -- ESC phone home specification from preds files doesn't work
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: ESC (Show other bugs)
unspecified
All Linux
urgent Severity high
: ---
: ---
Assigned To: Jack Magne
Chandrasekar Kannan
: TechPreview
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-03-18 16:48 EDT by Sean Veale
Modified: 2015-01-04 18:37 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Technology Preview
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:33:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sean Veale 2009-03-18 16:48:03 EDT
Description of problem:

According to the guide for the ESC 
http://www.redhat.com/docs/manuals/cert-system/7.3/pdf/Enterprise_Security_Client_Guide.pdf

You are able to specify a phone home URL through the global pref file(Section 3.2.2) 

This feature does not work as after you have done that (and restarted the esc) inserting a blank card still has the form when you can manually enter the Phone home URL pops up instead of using the one in from the prefs file.

Looking through the ESC.js file I don't see(with my admittedly short glance) where this preference is ever read in. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Stop the ESC if it is running. Modify the prefs file as specified in section 3.2.2 of the manual.

2.Plug in the blank card. See the Phone home dialog.

3.
  
Actual results:
Dialog pops up asking to input a phone home url. 

Expected results:
Prefs file is read for the phone home url as per the manual.

Additional info:

Using safenet 330J tokens
Comment 1 Jack Magne 2009-03-18 18:26:11 EDT
Thanks. This is something that was in 7.3 that perhaps did not make it into the alpha.
Comment 2 Jack Magne 2009-03-28 20:28:52 EDT
Changes to implement this feature:

Index: src/app/xul/esc/chrome/content/esc/ESC.js
===================================================================
RCS file: /cvs/dirsec/esc/src/app/xul/esc/chrome/content/esc/ESC.js,v
retrieving revision 1.21
diff -r1.21 ESC.js
56a57
> const  ESC_GLOBAL_PHONE_HOME_URL= "esc.global.phone.home.url";
295c296,301
<   //Check for special key since we have no phone home info.
---
>   //Check for optional global phone home url.
>
>
>   if(!home)   {
>       home = GetGlobalPhoneHomeUrl(keyType,keyID);
>   }
317a324,336
> //Get global phone home url if pref is set
>
> function GetGlobalPhoneHomeUrl(keyType,keyID)
> {
>
>    var globalIssuerURL=null;
>
>    globalIssuerURL = DoCoolKeyGetConfigValue(ESC_GLOBAL_PHONE_HOME_URL);
>
>    return globalIssuerURL;
>
> }
>

===================================================================
RCS file: /cvs/dirsec/esc/src/app/xul/esc/defaults/preferences/esc-prefs.js,v
retrieving revision 1.6
diff -r1.6 esc-prefs.js
32,34d31
< #Do we disable the password prompt ?
<
< pref("esc.disable.password.prompt","yes");
42c39
< #pref("esc.security.url","https://test.host.com:7889/cgi-bin/sow/welcome.cgi")
;
---
> #pref("esc.security.url","https://test.host.com:7889/cgi-bin/sow/wel
come.cgi");
46a44,49
>
>
> #Use this if you absolutely want a global phone home url for all tokens
> #Not recommended!
>
> #pref("esc.global.phone.home.url","http:/test.host.com:7888/cgi-bin/home/index
.cgi");
Comment 3 Matthew Harmsen 2009-03-28 20:34:25 EDT
Comment #2 +mharmsen
Comment 4 Jack Magne 2009-03-28 20:38:23 EDT
$ cvs -d :ext:jmagne@cvs.fedora.redhat.com/cvs/dirsec commit -m "Fix for #49100
3, global phone home pref." ESC.js
Enter passphrase for key '/home/jack/.ssh/id_rsa':
Checking in ESC.js;
/cvs/dirsec/esc/src/app/xul/esc/chrome/content/esc/ESC.js,v  <--  ESC.js
new revision: 1.22; previous revision: 1.21
done
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedoraproject.org...
...syncmail done.
Comment 5 Jack Magne 2009-03-28 20:55:52 EDT
cvs commit: Examining .
Enter passphrase for key '/home/jack/.ssh/id_rsa':
Checking in esc-prefs.js;
/cvs/dirsec/esc/src/app/xul/esc/defaults/preferences/esc-prefs.js,v  <--  esc-pr
efs.js
new revision: 1.7; previous revision: 1.6
done
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedoraproject.org...
...syncmail done.
Comment 6 Asha Akkiangady 2009-05-28 15:04:35 EDT
Verified. esc-prefs.js file has esc.global.phone.home.url parameter, when you enter value for this and restart esc, dialog to manually enter the Phone
home URL does not pop up.

Note You need to log in before you can comment on or make changes to this bug.